### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu/ecl-menu-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclMenuItem` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ecl-menu-item`
styles | `:host { display: list-item; } /* due to eui css leak targeting all elements with box-sizing of border-box */ .ecl-menu__link { box-sizing: unset; }`
templateUrl | `./ecl-menu-item.component.html`

### Index

###### Properties

- isExpanded
- isHovered
- submenu

###### Methods

- onItemClick
- onItemFocus
- onItemMouseEnter
- onItemMouseLeave
- getCssClasses

###### Inputs

- href
- id
- isCurrent
- label
- queryParams
- queryParamsHandling
- routerLink
- class
- e2eAttr

###### Outputs

- menuItemFocus
- menuItemHover
- menuItemHoverOut
- menuItemSelect
- menuMegaItemSelect

###### HostBindings

- attr.aria-expanded
- attr.aria-haspopup
- class
- class.ecl-menu__item--has-children

###### Accessors

- cssClasses
- hasEclChildrenDataAttribute
- isAriaExpanded
- hasChildren
- children

### Inputs

href
Type : `string`
Default value : `''`

id
Type : `string`

isCurrent
Type : `boolean`
Default value : `false`

label
Type : `string`

queryParams
Type : `any`
Default value : `null`

queryParamsHandling
Type : `any`
Default value : `null`

routerLink
Type : `any`
Default value : `null`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

menuItemFocus
Type : `EventEmitter`

menuItemHover
Type : `EventEmitter`

menuItemHoverOut
Type : `EventEmitter`

menuItemSelect
Type : `EventEmitter`

menuMegaItemSelect
Type : `EventEmitter`

### HostBindings

attr.aria-expanded
Type : `boolean`

attr.aria-haspopup
Type : `boolean`

class
Type : `any`

class.ecl-menu__item--has-children
Type : `boolean`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onItemFocus
`onItemFocus(evt: FocusEvent)`

Parameters :

Name | Type | Optional
evt | `FocusEvent` | No

Returns : `void`

onItemMouseEnter
`onItemMouseEnter(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

onItemMouseLeave
`onItemMouseLeave(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

isExpanded
Type : `boolean`

isHovered
Type : `boolean`
Default value : `false`

submenu
Type : `EclMenuMegaComponent`
Decorators : `@ContentChild(undefined)`

### Accessors

cssClasses
get `cssClasses()`

hasEclChildrenDataAttribute
get `hasEclChildrenDataAttribute()`

isAriaExpanded
get `isAriaExpanded()`

hasChildren
get `hasChildren()`

children
get `children()`

# results matching ""

# No results matching ""